apptainer(1)

NAME

apptainer-plugin-compile - Compile an Apptainer plugin

SYNOPSIS

apptainer plugin compile [compile options...]

DESCRIPTION

The 'plugin compile' command allows a developer to compile an Apptainer
  plugin in the expected environment. The provided host directory is the
  location of the plugin's source code. A compiled plugin is packed into a SIF file.

OPTIONS

-h, --help[=false]
    help for compile

-o, --out=""
    path of the SIF output file

EXAMPLE
      $ apptainer plugin compile $HOME/apptainer/test-plugin

SEE ALSO

apptainer-plugin(1)

HISTORY

16-Dec-2024 Auto generated by spf13/cobra